#delimit;
set more 1;
log using /volumes/ddisk/immigration/programs/Chapter_1/Table_1_1.log, replace;


*THIS PROGRAM ALSO GENERATES THE DATA FOR FIGURE 1.4;

*USES EARNED INCOME, RATHER THAN WAGES;
*DELETES GROUP QUARTERS, KEEPS MEN WITH POSITIVE WEEKS, HOURS, EARNINGS,
*DELETES ENROLLED;


use /volumes/ddisk/ipums5/ipums80.dta, clear;

drop if gq==0 | gq==3 | gq==4; 
keep if age>=18 & age<=64;
keep if sex==1;
keep if wkswork1>0 ;
drop if school==2;
*drop if qincwage>=1 & qincwage<=4;
*keep if classwkrd>=22 & classwkrd<=28;

generate byte imm=(citizen==2 | citizen==3);
*keep if imm==0;

summ wkswork1 uhrswork incwage;
generate weeks=wkswork1;
drop if weeks==0;
generate hours=uhrswork;
drop if hours==0;

/*
replace incwage=75000*1.5 if incwage==75000;
keep if incwage>0;
replace incwage=incwage*(166.6/72.6);
generate lweekly=log(incwage/weeks);
generate lannual=log(incwage);
generate lwage=log(incwage/(weeks*hours));
*/


replace incwage=75000*1.5 if incwage==75000;
replace incbus=75000*1.5 if incbus==75000;
replace incfarm=75000*1.5 if incfarm==75000;
replace incearn=incwage+incbus+incfarm;
keep if incearn>0;
replace incearn=incearn*(166.6/72.6);
generate lweekly=log(incearn/wkswork1);
generate lannual=log(incearn);
generate lweeks=log(wkswork1);
generate lwage=log(incearn/(weeks*hours));


generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);

generate exper=age-17 if edcode==1;
replace exper=age-19 if edcode==2;
replace exper=age-21 if edcode==3;
replace exper=age-23 if edcode==4;
replace exper=age-24 if edcode==5;
keep if exper>=1 & exper<=40;

generate expcode=1*(exper>=1 & exper<=5) + 2*(exper>=6 & exper<=10)
		+3*(exper>=11 & exper<=15) + 4*(exper>=16 & exper<=20)
		+5*(exper>=21 & exper<=25) + 6*(exper>=26 & exper<=30)
		+7*(exper>=31 & exper<=35) + 8*(exper>=36 & exper<=40);

generate weight=perwt*(weeks/52);

generate survey=1980;

keep survey educ educd age imm edcode exper lannual lweekly lwage
	yrimmig bpld bpl perwt;

save /volumes/ddisk/data/junk80.dta, replace;




use /volumes/ddisk/ipums5/ipums90.dta, clear;

drop if gq==0 | gq==3 | gq==4; 
keep if age>=18 & age<=64;
keep if sex==1;
keep if wkswork1>0;
drop if school==2;
*drop if qincwage>=1 & qincwage<=4;
*keep if classwkrd>=22 & classwkrd<=28;

generate byte imm=(citizen==2 | citizen==3);
*keep if imm==0;

summ wkswork1 uhrswork incearn;
generate weeks=wkswork1;
drop if weeks==0;
generate hours=uhrswork;
drop if hours==0;

/*
keep if incwage>0;
replace incwage=incwage*(166.6/124.0);
generate lweekly=log(incwage/weeks);
generate lannual=log(incwage);
generate lwage=log(incwage/(weeks*hours));
*/

keep if incearn>0;
replace incearn=incearn*(166.6/124.0);
generate lweekly=log(incearn/wkswork1);
generate lannual=log(incearn);
generate lweeks=log(wkswork1);
generate lwage=log(incearn/(weeks*hours));


generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);

generate exper=age-17 if edcode==1;
replace exper=age-19 if edcode==2;
replace exper=age-21 if edcode==3;
replace exper=age-23 if edcode==4;
replace exper=age-24 if edcode==5;
keep if exper>=1 & exper<=40;

generate expcode=1*(exper>=1 & exper<=5) + 2*(exper>=6 & exper<=10)
		+3*(exper>=11 & exper<=15) + 4*(exper>=16 & exper<=20)
		+5*(exper>=21 & exper<=25) + 6*(exper>=26 & exper<=30)
		+7*(exper>=31 & exper<=35) + 8*(exper>=36 & exper<=40);

generate weight=perwt*(weeks/52);

generate survey=1990;

keep survey educ educd age imm edcode exper lannual lweekly lwage
	yrimmig bpld bpl perwt;

save /volumes/ddisk/data/junk90.dta, replace;



use /volumes/ddisk/ipums5/ipums00.dta, clear;

drop if gq==0 | gq==3 | gq==4; 
keep if age>=18 & age<=64;
keep if sex==1;
keep if wkswork1>0;
drop if school==2;
*drop if qincwage>=1 & qincwage<=4;
*keep if classwkrd>=22 & classwkrd<=28;

generate byte imm=(citizen==2 | citizen==3);
*keep if imm==0;

summ wkswork1 uhrswork incearn;
generate weeks=wkswork1;
drop if weeks==0;
generate hours=uhrswork;
drop if hours==0;

/*
keep if incwage>0;
replace incwage=incwage*(166.6/166.0);
generate lweekly=log(incwage/weeks);
generate lannual=log(incwage);
generate lwage=log(incwage/(weeks*hours));
*/


keep if incearn>0;
replace incearn=incearn*(166.6/166.6);
generate lweekly=log(incearn/wkswork1);
generate lweeks=log(wkswork1);
generate lannual=log(incearn);
generate lwage=log(incearn/(weeks*hours));


generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);

generate exper=age-17 if edcode==1;
replace exper=age-19 if edcode==2;
replace exper=age-21 if edcode==3;
replace exper=age-23 if edcode==4;
replace exper=age-24 if edcode==5;
keep if exper>=1 & exper<=40;

generate expcode=1*(exper>=1 & exper<=5) + 2*(exper>=6 & exper<=10)
		+3*(exper>=11 & exper<=15) + 4*(exper>=16 & exper<=20)
		+5*(exper>=21 & exper<=25) + 6*(exper>=26 & exper<=30)
		+7*(exper>=31 & exper<=35) + 8*(exper>=36 & exper<=40);

generate weight=perwt*(weeks/52);

generate survey=2000;

keep survey educ educd age imm edcode exper lannual lweekly lwage
	yrimmig bpld bpl perwt;

save /volumes/ddisk/data/junk00.dta, replace;




use /volumes/ddisk/ipums5/acs0911.dta, clear;

*POOLED 2009-2011 FROM IPUMS DEFLATES EARNINGS TO 2011 LEVELS;

drop if gq==0 | gq==3 | gq==4; 
keep if age>=18 & age<=64;
keep if sex==1;
keep if wkswork2>0;
drop if school==2;
*drop if qincwage>=1 & qincwage<=4;
*keep if classwkrd>=22 & classwkrd<=28;

generate byte imm=(citizen==2 | citizen==3);
*keep if imm==0;

summ wkswork2 uhrswork incearn;
generate weeks=7.4*(wkswork2==1) + 21.3*(wkswork2==2) + 33.1*(wkswork2==3) 
	+ 42.4*(wkswork2==4) + 48.2*(wkswork2==5) + 51.9*(wkswork2==6) ;
drop if weeks==0;
generate hours=uhrswork;
drop if hours==0;

/*
keep if incwage>0;
replace incwage=incwage*(166.6/224.9);
generate lweekly=log(incwage/weeks);
generate lannual=log(incwage);
generate lwage=log(incwage/(weeks*hours));
*/

keep if incearn>0;
replace incearn=incearn*(166.6/224.9);
generate lweekly=log(incearn/weeks);
generate lweeks=log(weeks);
generate lannual=log(incearn);
generate lwage=log(incearn/(weeks*hours));


generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);

generate exper=age-17 if edcode==1;
replace exper=age-19 if edcode==2;
replace exper=age-21 if edcode==3;
replace exper=age-23 if edcode==4;
replace exper=age-24 if edcode==5;
keep if exper>=1 & exper<=40;

generate expcode=1*(exper>=1 & exper<=5) + 2*(exper>=6 & exper<=10)
		+3*(exper>=11 & exper<=15) + 4*(exper>=16 & exper<=20)
		+5*(exper>=21 & exper<=25) + 6*(exper>=26 & exper<=30)
		+7*(exper>=31 & exper<=35) + 8*(exper>=36 & exper<=40);

generate weight=perwt*(weeks/52);

generate survey=2010;

keep survey educ educd age imm edcode exper lannual lweekly lwage
	yrimmig bpld bpl perwt multyear;

save /volumes/ddisk/data/junk10.dta, replace;




use /volumes/ddisk/data/junk70.dta;
append using /volumes/ddisk/data/junk80.dta;
append using /volumes/ddisk/data/junk90.dta;
append using /volumes/ddisk/data/junk00.dta;
append using /volumes/ddisk/data/junk10.dta;

compress;

save /volumes/ddisk/data/assimilation.dta, replace;





use /volumes/ddisk/data/assimilation.dta, clear;

keep if age>=25 & age<=64;
drop if yrimmig==996;

replace yrimmig=1969 if survey==1970 & yrimmig==1970;
replace yrimmig=1979 if survey==1980 & yrimmig==1980;
replace yrimmig=1989 if survey==1990 & yrimmig==1990;
replace yrimmig=1999 if survey==2000 & yrimmig==2000;
replace yrimmig=2011 if survey==2010 & yrimmig==2011;

generate cohort=0 if imm==0;
replace cohort=1 if imm==1 & yrimmig<1950;
replace cohort=2 if imm==1 & yrimmig>=1950 & yrimmig<=1959;
replace cohort=3 if imm==1 & yrimmig>=1960 & yrimmig<=1964;
replace cohort=4 if imm==1 & yrimmig>=1965 & yrimmig<=1969;
replace cohort=5 if imm==1 & yrimmig>=1970 & yrimmig<=1974;
replace cohort=6 if imm==1 & yrimmig>=1975 & yrimmig<=1979;
replace cohort=7 if imm==1 & yrimmig>=1980 & yrimmig<=1984;
replace cohort=8 if imm==1 & yrimmig>=1985 & yrimmig<=1989;
replace cohort=9 if imm==1 & yrimmig>=1990 & yrimmig<=1994;
replace cohort=10 if imm==1 & yrimmig>=1995 & yrimmig<=1999;
replace cohort=11 if imm==1 & yrimmig>=2000 & yrimmig<=2004;
replace cohort=12 if imm==1 & yrimmig>=2005 & yrimmig<=2011;

generate ysm=0 if imm==0;

replace ysm=57 if survey==1970 & yrimmig==1914;
replace ysm=50 if survey==1970 & yrimmig==1919;
replace ysm=40 if survey==1970 & yrimmig==1934;
replace ysm=30 if survey==1970 & yrimmig==1944;
replace ysm=22 if survey==1970 & yrimmig==1949;
replace ysm=17 if survey==1970 & yrimmig==1954;
replace ysm=12 if survey==1970 & yrimmig==1959;
replace ysm=7 if survey==1970 & yrimmig==1964;
replace ysm=2 if survey==1970 & yrimmig==1969;

replace ysm=44 if survey==1980 & yrimmig==1949;
replace ysm=25 if survey==1980 & yrimmig==1959;
replace ysm=17 if survey==1980 & yrimmig==1964;
replace ysm=12 if survey==1980 & yrimmig==1969;
replace ysm=7 if survey==1980 & yrimmig==1974;
replace ysm=2 if survey==1980 & yrimmig==1979;

replace ysm=54 if survey==1990 & yrimmig==1949;
replace ysm=35 if survey==1990 & yrimmig==1959;
replace ysm=27 if survey==1990 & yrimmig==1964;
replace ysm=22 if survey==1990 & yrimmig==1969;
replace ysm=17 if survey==1990 & yrimmig==1974;
replace ysm=12 if survey==1990 & yrimmig==1979;
replace ysm=8.5 if survey==1990 & yrimmig==1981;
replace ysm=6 if survey==1990 & yrimmig==1984;
replace ysm=3.5 if survey==1990 & yrimmig==1986;
replace ysm=1 if survey==1990 & yrimmig==1989;

replace ysm=1999-yrimmig if survey==2000;
replace ysm=0 if survey==2000 & yrimmig==2000;

replace ysm=multyear-yrimmig if survey==2010;
replace ysm=0 if survey==2010 & yrimmig==multyear;

replace ysm=0 if imm==0;

generate coh40=(cohort==1);
generate coh50=(cohort==2);
generate coh60=(cohort==3);
generate coh65=(cohort==4);
generate coh70=(cohort==5);
generate coh75=(cohort==6);
generate coh80=(cohort==7);
generate coh85=(cohort==8);
generate coh90=(cohort==9);
generate coh95=(cohort==10);
generate coh00=(cohort==11);
generate coh05=(cohort==12);

generate y70=(survey==1970);
generate y80=(survey==1980);
generate y90=(survey==1990);
generate y00=(survey==2000);
generate y10=(survey==2010);

egen tweight=sum(perwt), by(survey);
gen weight=perwt/tweight;

drop if survey==1970;


tabulate educ, gen(deduc);

generate yeduc=.;
replace yeduc=0 if educ==0;
replace yeduc=2 if educ==1;
replace yeduc=6.5 if educ==2;
replace yeduc=9 if educ==3;
replace yeduc=10 if educ==4;
replace yeduc=11 if educ==5;
replace yeduc=12 if educ==6;
replace yeduc=13 if educ==7;
replace yeduc=14 if educ==8;
replace yeduc=15 if educ==9;
replace yeduc=16 if educ==10;
replace yeduc=18 if educ==11;

tabulate educ, sum(yeduc);


sort survey;
tabulate survey imm if lweekly~=.;

generate age2=age*age;
generate age3=age2*age;
generate age4=age2*age2;

generate ysm2=ysm*ysm;
generate ysm3=ysm2*ysm;
generate ysm4=ysm2*ysm2;

keep if imm==0 
	| (survey==1980 & coh75==1) | (survey==1990 & coh85==1)
	| (survey==2000 & coh95==1) | (survey==2010 & coh05==1);


***********************************************************;
*CORRECTS COUNTRY CODES;

*GERMANY;
replace bpld=45300 if bpl==453;
*UK;
replace bpld=41000 if bpld>=41000 & bpld<=41300;
*USSR;
replace bpld=46500 if bpl==465;
*KOREA;
replace bpld=50200 if bpl==502;
*YUGOSLAVIA;
replace bpld=45700 if bpld>=45700 & bpld<=45790;
drop if bpld==60099;
drop if bpld==90010;
*CZECHOSLOVAKIA;
replace bpld=45200 if bpl==452;

***************************************************************;


replace bpld=0 if imm==0;

generate year=1975 if coh75==1;
replace year=1985 if coh85==1;
replace year=1995 if coh95==1;
replace year=2005 if coh05==1;

*MERGE IN AGGREGATE DATA FOR 80 COUNTRIES;
*THE AGGREGATE3.DTA DATA SET INCLUDES THE 2000 DATA FOR GDP AND POLITICAL CONDITIONS;
*AND VARIES THE GDP VARIABLE FOR EVERY FIVE-YEAR COHORT;
*MEASURED AT THE BEGINNING OF THE WINDOW;
sort bpld year;
merge bpld year using /volumes/ddisk/immigration/assimilation/aggregate3.dta;
drop _merge;

*EDITING MISSING PENN GDP DATA;
*GIVES IT THE EARLIEST OBSERVED VALUE;
tabulate bpld if rgdp==.;
replace rgdpl=15744.826 if bpld==45200 & rgdpl==.;
replace rgdpl=15533.554 if bpld==45700 & rgdpl==.;
replace rgdpl=12393.589 if bpld==46500 & rgdpl==.;


drop if imm==1 & rgdpl==.;
unique bpld;
unique bpld if imm==0;
unique bpld if imm==1;

*REPLACES THE GINI FOR SOUTH AFRICA;
replace gini=34.4 if bpld==60094;

*CORRECTS GINI COEFFICIENTS FOR COUNTRIES NOT IN WORLD BANK DATA SET;
*LEBANON, RUSSIA, SLOVENIA;
tabulate country if bpld==53700 | bpld==46500 | bpld==45700, sum(gini);
replace gini=54.7 if bpld==53700;
replace gini=26.4 if bpld==46500;
replace gini=28.71 if bpld==45700;

generate lgdp=log(rgdp);
generate ldist1=log(distance_country);
generate ldist2=log(distance_city);
generate repressive=(civil>=4);


generate far=(distance_country>=3000);


********************************;


*ENSURING THAT GDP DATA IS TIMED PROPERLY FOR EACH COHORT;
tabulate survey if bpld==20000, sum(rgdp);

tabulate survey, gen(dyear);

*THESE REGRESSIONS ARE IN THE IMMIGRANT SAMPLE;
regress lweekly lgdp gini dyear* [aw=perwt], cluster(bpld);
regress lweekly lgdp gini far repressive dyear* [aw=perwt], cluster(bpld);
regress lweekly age age2 age3 age4 lgdp gini dyear* [aw=perwt], cluster(bpld);
regress lweekly age age2 age3 age4 lgdp gini far repressive dyear* [aw=perwt], 
	cluster(bpld);
regress lweekly yeduc age age2 age3 age4 lgdp gini dyear* [aw=perwt], cluster(bpld);
regress lweekly yeduc age age2 age3 age4 lgdp gini far repressive dyear* [aw=perwt], 
	cluster(bpld);
	
save /volumes/ddisk/data/junkdata.dta, replace;

keep if imm==1;
generate double code = bpld*10000 + survey;

areg lweekly age age2 age3 if survey==1980, absorb(bpld);
predict fixed80, d;
areg lweekly age age2 age3 if survey==1990, absorb(bpld);
predict fixed90, d;
areg lweekly age age2 age3 if survey==2000, absorb(bpld);
predict fixed00, d;
areg lweekly age age2 age3 if survey==2010, absorb(bpld);
predict fixed10, d;
generate fixed1=fixed80 if survey==1980;
replace fixed1=fixed90 if survey==1990;
replace fixed1=fixed00 if survey==2000;
replace fixed1=fixed10 if survey==2010;
drop fixed80 fixed90 fixed00 fixed10;

areg lweekly yeduc age age2 age3 if survey==1980, absorb(bpld);
predict fixed80, d;
areg lweekly yeduc age age2 age3 if survey==1990, absorb(bpld);
predict fixed90, d;
areg lweekly yeduc age age2 age3 if survey==2000, absorb(bpld);
predict fixed00, d;
areg lweekly yeduc age age2 age3 if survey==2010, absorb(bpld);
predict fixed10, d;
generate fixed2=fixed80 if survey==1980;
replace fixed2=fixed90 if survey==1990;
replace fixed2=fixed00 if survey==2000;
replace fixed2=fixed10 if survey==2010;

summ lweekly fixed1 fixed2;


collapse (mean) fixed1 fixed2 lgdp gini far repressive 
	(count) nobs=lweekly, by(bpld survey);

tabulate survey, gen(dyear);

regress fixed1 lgdp gini dyear* [aw=nobs], cluster(bpld);
regress fixed1 lgdp gini far repressive dyear* [aw=nobs], cluster(bpld);

regress fixed2 lgdp gini dyear* [aw=nobs], cluster(bpld);
regress fixed2 lgdp gini far repressive dyear* [aw=nobs], cluster(bpld);


list bpld fixed1 lgdp gini if survey==2000, separator(0) noobs;

*DATA FOR AGGREGATED GRAPH;

areg fixed1 dyear*, absorb(bpld);
predict dfixed1, d;
areg lgdp dyear*, absorb(bpld);
predict dlgdp, d;

collapse (mean) dfixed1 dlgdp gini, by(bpld);

list bpld dfixed1 dlgdp gini, separator(0) noobs;

log close;


