#delimit;
set more 1;
log using /volumes/ddisk/immigration/programs/chapter_1/Table_1_3.log, replace;

*THIS PROGRAM USES THE DATA FROM MY PUERTO RICO PAPER TO LOOK AT SELECTION;
*TO GET DISTRIBUTION OF SCHOOLING FOR MOVERS AND STAYERS SEPARATELY;



*USES 5 EDUCATION GROUPINGS & 4 EXPERIENCE GROUPS;
*GETS WAGES OF PUERTO RICAN NATIVES;
*DELETES ENROLLED IN SCHOOL;

*THIS GENERATES OUT-MIGRATION RATES AS IN PR PAPER;
*BUT DOES IT FOR 4 EDUCATION GROUPS;
*POOLING ALL HIGH SCHOOL DROPOUTS;

use /volumes/ddisk/pr/newwage.dta, clear;
sort survey edcode expcode;
merge survey edcode expcode using /volumes/ddisk/pr/newcount.dta;
drop _merge;
sort survey edcode expcode;
merge survey edcode expcode using /volumes/ddisk/pr/newuscen.dta;
drop _merge;
sort survey edcode expcode;
merge survey edcode expcode using /volumes/ddisk/pr/newxuscen.dta;
drop _merge;
sort survey edcode expcode;
merge survey edcode expcode using /volumes/ddisk/pr/newxcount.dta;
drop _merge;
sort survey edcode expcode;

drop lannual-slweeks;

replace edcode=1 if edcode==2;
collapse (sum) prnat-xusnat1, by(survey edcode expcode);

generate pprimm=primm/(prnat+primm);
generate pinmig=(usnat+othimm)/(prnat+usnat+othimm);
generate pinmig0=(usnat)/(prnat+usnat+othimm);
generate pinmig1=(othimm)/(prnat+usnat+othimm);
generate pnet=-pprimm+pinmig;

generate ratio1=usnat/(usnat+othimm);
generate ratio2=usnat0/(usnat);

tabulate survey edcode [aw=prnat+primm], sum(pprimm) me noobs nofreq;

save /volumes/ddisk/data/junkpr.dta, replace;
summ primm prnat;
keep if survey==2000;
summ primm prnat;
collapse (sum) primm prnat, by(edcode);
summ primm prnat;
egen tprimm=sum(primm);
egen tprnat=sum(prnat);
generate shareimm=primm/tprimm;
generate sharenat=prnat/tprnat;
list edcode share*;


use /volumes/ddisk/pr/newcount.dta, clear;
sort survey edcode expcode;
merge survey edcode expcode using /volumes/ddisk/pr/newprusborn.dta;
drop _merge;
sort survey edcode expcode;

replace edcode=1 if edcode==2;

collapse (sum) usnat usnat0 usnat1 othimm prusborn, by(survey edcode);
sort survey edcode;

generate ratio1=usnat/(usnat+prusborn);
generate ratio2=usnat0/(usnat0+prusborn);

tabulate survey edcode, sum(ratio1) me noobs nofreq;
tabulate survey edcode, sum(ratio2) me noobs nofreq;

save /volumes/ddisk/data/junkpr.dta, replace;
summ usnat0 prusborn;
keep if survey==2000;
summ usnat0 prusborn;
rename prusborn prnat;
rename usnat0 primm;
collapse (sum) primm prnat, by(edcode);
summ primm prnat;
egen tprimm=sum(primm);
egen tprnat=sum(prnat);
generate shareimm=primm/tprimm;
generate sharenat=prnat/tprnat;
list edcode share*;




log close;



