#delimit ;
set more 1;
log using /volumes/ddisk/immigration/programs/chapter_1/create_aggregate.log, replace;

*AGGREGATE3 INCLUDES THE GDP DATA FOR EVERY FIVE-YEAR WINDOW;

use /volumes/ddisk/immigration/assimilation/aggregate2.dta, clear;
unique bpld;
generate good=1;
collapse (mean) good, by(bpld);
save /volumes/ddisk/data/junkcountry.dta, replace;

use /volumes/ddisk/immigration/assimilation/penngdp.dta, clear;
merge bpld using /volumes/ddisk/data/junkcountry.dta;
drop _merge;
drop if good==.;
drop if year==.;
drop good label;
unique bpld;
sort bpld year;
save /volumes/ddisk/data/junkgdp.dta, replace;

use /volumes/ddisk/immigration/assimilation/aggregate2.dta, clear;
drop rgdpl ;
sort bpld year;
save /volumes/ddisk/data/junkagg.dta, replace;

use /volumes/ddisk/data/junkgdp.dta, clear;
merge bpld year using /volumes/ddisk/data/junkagg.dta;
drop _merge;

drop if distance_country==.;
drop if cohort==.;

tabulate cohort;
tabulate year;

rename year decade;
rename cohort year;

drop ginihat linguistic;

sort bpld year;

save /volumes/ddisk/immigration/programs/chapter_1/aggregate.dta, replace;

log close;



